<?xml version="1.0" encoding="UTF-8" standalone="yes" ?>
<!DOCTYPE bugzilla SYSTEM "http://bugs.gentoo.org/bugzilla.dtd">

<bugzilla version="2.22.7"
          urlbase="http://bugs.gentoo.org/"
          maintainer="bugzilla@gentoo.org"
>

    <bug>
          <bug_id>16946</bug_id>
          
          <creation_ts>2003-03-06 02:20 0000</creation_ts>
          <short_desc>configure borks while emerging w3m-0.4</short_desc>
          <delta_ts>2003-03-08 00:52:51 0000</delta_ts>
          <reporter_accessible>1</reporter_accessible>
          <cclist_accessible>1</cclist_accessible>
          <classification_id>1</classification_id>
          <classification>Unclassified</classification>
          <product>Gentoo Linux</product>
          <component>Ebuilds</component>
          <version>unspecified</version>
          <rep_platform>x86</rep_platform>
          <op_sys>Linux</op_sys>
          <bug_status>RESOLVED</bug_status>
          <resolution>FIXED</resolution>
          
          
          
          <priority>P2</priority>
          <bug_severity>normal</bug_severity>
          <target_milestone>---</target_milestone>
          
          
          
          <everconfirmed>1</everconfirmed>
          <reporter>gillr@apozem.org</reporter>
          <assigned_to>agriffis@gentoo.org</assigned_to>
          

      

      
          <long_desc isprivate="0">
            <who>gillr@apozem.org</who>
            <bug_when>2003-03-06 02:20:50 0000</bug_when>
            <thetext>When emerging w3m-0.4 it&apos;s possible for the echo commands to become out of sync
with the configure script when the gpm USE flag is disabled.  The following
patch provides a fix.

--- /usr/portage/net-www/w3m/w3m-0.4.ebuild	2003-03-05 09:51:16.000000000 -0800
+++ w3m-0.4.ebuild	2003-03-05 23:18:51.000000000 -0800
@@ -77,7 +77,7 @@
 		# Do you want color ESC sequence for Kterm/pxvt
 		echo y
 		# Use mouse (requires xterm/kterm/gpm/sysmouse) 
-		use gpm &amp;&gt;/dev/null &amp;&amp; echo y
+		use gpm &amp;&gt;/dev/null &amp;&amp; echo y || echo n
 		# Use popup menu
 		echo y
 		# Use cookie 

Reproducible: Always
Steps to Reproduce:
1.
2.
3.</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>agriffis@gentoo.org</who>
            <bug_when>2003-03-07 22:15:54 0000</bug_when>
            <thetext>Thanks, it&apos;s fixed in cvs now.  Did you get the &quot;configure out of sync; ebuild needs an update&quot; message?  I put it in there to catch exactly this kind of thing... :-|</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>gillr@apozem.org</who>
            <bug_when>2003-03-08 00:52:51 0000</bug_when>
            <thetext>Yep, the &quot;configure out of sync&quot; message worked.</thetext>
          </long_desc>
      
    </bug>

</bugzilla>